package com.fdkankan.rabbitmq.bean;

import java.io.Serializable;
import java.util.Map;

import lombok.Data;

@Data
public class BaseBuildSceneMessage implements Serializable{
    /**
     * 0:第一次计算；1：重新构建
     */
    private String rebuild = "0";

    /**
     * 是否启用弹性伸缩，0：默认启用 ,-1 不启用
     */
    private int flexibility;

    /**
     * 0:非标定计算；1：标定计算
     */
    private String isStandardization;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 执行结果接收消息队列名称
     */
    private String resultReceiverMqName;

    /**
     * 构建上下文，此字段信息在计算完成之后会再次设置到构建结果中。
     */
    private Map<String,Object> buildContext;

    public String getRebuild() {
        return rebuild;
    }

    public void setRebuild(String rebuild) {
        this.rebuild = rebuild;
    }

    public String getIsStandardization() {
        return isStandardization;
    }

    public void setIsStandardization(String isStandardization) {
        this.isStandardization = isStandardization;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getResultReceiverMqName() {
        return resultReceiverMqName;
    }

    public void setResultReceiverMqName(String resultReceiverMqName) {
        this.resultReceiverMqName = resultReceiverMqName;
    }

    public Map<String, Object> getBuildContext() {
        return buildContext;
    }

    public void setBuildContext(Map<String, Object> buildContext) {
        this.buildContext = buildContext;
    }
}
